# quoted_printable_decode

(PHP 4, PHP 5, PHP 7)

quoted_printable_decode — Convert a quoted-printable string to an 8 bit string

### Description

quoted_printable_decode ( string `$str` ) : string

This function returns an 8-bit binary string corresponding to the decoded quoted printable string (according to » RFC2045, section 6.7, not » RFC2821, section 4.5.2, so additional periods are not stripped from the beginning of line).

This function is similar to imap_qprint(), except this one does not require the IMAP module to work.

### Parameters

`str`

  The input string.

### Return Values

Returns the 8-bit binary string.

### See Also

- quoted_printable_encode() - Convert a 8 bit string to a quoted-printable string